Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.sim.analysis
Class ObjectSequence

    java.lang.Object
      uchicago.src.sim.analysis.ObjectSequence

All Implemented Interfaces:
  Sequence

    public class ObjectSequence

extends java.lang.Object
implements Sequence

A source for sequence data from a single object. ObjectSequence is used by SequenceGraph and should not be created by a user under normal circumstances.

Version:
  $Revision: 1.4 $ $Date: 2004/11/03 19:51:00 $
Author:
  Nick Collier
See Also:
  `uchicago.src.sim.analysis.SequenceGraph`

Constructor Summary
`ObjectSequence(java.lang.Object o, java.lang.String methodName)` Construct this ObjectSequence using the specified object and specified method name.

Method Summary
`double` | `getSValue()` Call the method on the object and return the result as a double.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectSequence

    public ObjectSequence(java.lang.Object o,
                          java.lang.String methodName)

  Construct this ObjectSequence using the specified object and specified method name. Calling the method named by methodName on the object returns the data for the sequence.

  Parameters:
    `the` - object on which to call the method
    `the` - name of the method to call. This method should return a number (int etc.) or a Number (Integer etc.)

Method Detail

### getSValue

    public double getSValue()

  Call the method on the object and return the result as a double.

  Specified by:
    `getSValue` in interface `Sequence`
  Returns:
    the value to be plotted.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD